import 'package:flutter/material.dart';

class UnboundDevice extends StatelessWidget {
  const UnboundDevice({
    super.key,
    this.connect,
  });
  final Function? connect;

  @override
  Widget build(BuildContext context) {
    return Positioned(
      right: 16,
      top: 16,
      child: _buildContent(),
    );
  }

  Widget _buildTitle(String title) {
    return FittedBox(
      child: Text(
        title,
        style: const TextStyle(color: Colors.red, fontSize: 20),
      ),
    );
  }

  Widget _buildContent() {
    return Row(
      children: [
        _buildTitle('设备未绑定'),
        const SizedBox(
          width: 16,
        )
      ],
    );
  }
}
